### Function

# FoundryGtk ShortcutInfo foreach

#### Declaration [src]

    void
    foundry_shortcut_info_foreach (
      GListModel* shortcuts,
      FoundryShortcutInfoFunc func,
      gpointer func_data
    )

#### Description [src]

Calls `func` for every shortcut info. Accelerators come from `shortcuts` by matching action and target.

#### Parameters

`shortcuts`

  Type: `GObject`

  A `GListModel` of `GtkShortcut`.

  The data is owned by the caller of the function.

`func`

  Type: `FoundryShortcutInfoFunc`

  A callback for each shortcut info.

`func_data`

  Type: `gpointer`

  Closure data for `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.